//
//  ViewController.swift
//  calculatrice
//
//  Created by Axelitos on 23.01.19.
//  Copyright © 2019. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    // Make the Status Bar Light/Dark Content for this View
    override var preferredStatusBarStyle : UIStatusBarStyle {
        return UIStatusBarStyle.lightContent
    }
    
    var _shouldResetCurrentnumber = true
    var _previousNumber : Double = 0
    var _operationType : Character = " "
    var _currentNumber : Double = 0 {
        didSet {
            
            resultLabel.text = "\(_currentNumber)"
        }
    }

    @IBOutlet weak var resultLabel: UILabel!
    
    func performWaitingCalculous() {
        let result:Double
        
        if _operationType == "+" {
            result = _previousNumber + _currentNumber
            
        } else if _operationType == "-" {
            result = _previousNumber - _currentNumber
        
        } else if _operationType == "*" {
            result = _previousNumber * _currentNumber
            
        } else if _operationType == "/"{
            result = _previousNumber / _currentNumber
            
        } else {
            result = _currentNumber
        }
        
        _previousNumber = result
        _shouldResetCurrentnumber = true
        
        resultLabel.text = "\(result)"
    }

    @IBAction func divide() {
        if _shouldResetCurrentnumber == false {
        performWaitingCalculous()
    }
        _operationType  = "/"
        
    }
    
    @IBAction func multiplie() {
        if _shouldResetCurrentnumber == false {
            performWaitingCalculous()
        }
        _operationType = "*"
    }
    
    @IBAction func substract() {
        if _shouldResetCurrentnumber == false {
            performWaitingCalculous()
        }
        _operationType = "-"
    }
    
    @IBAction func add() {
        if _shouldResetCurrentnumber == false {
            performWaitingCalculous()
        }
        _operationType = "+"
    }
    
    @IBAction func displayResult() {
        performWaitingCalculous()
    }
    
    @IBAction func resetValue() {
        _currentNumber = 0
        _previousNumber = 0
        _operationType = " "
    }
   
    @IBAction func changeSign() {
        _currentNumber = _currentNumber * -1
    }
    
    @IBAction func applyPercent() {
        _currentNumber = _currentNumber / 100
    }
    
    @IBAction func digitButtonTouched(_ sender: UIButton) {
        if _shouldResetCurrentnumber == true {
        _currentNumber = Double(sender.tag)
        _shouldResetCurrentnumber = false
            
        } else {
            
            _currentNumber = (_currentNumber * 10) + Double(sender.tag)
        }
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        
    }

}


